Supported Versions

Kubernetes Engine clusters support running Kubernetes versions from any of the last three minor releases (currently 1.8.x, 1.7.x, and 1.6.x). However, subsequent intermediate releases might change what versions are available for new clusters.

When new Kubernetes versions become available in Kubernetes Engine, the new versions roll out to zones on a schedule. The schedule for each version rollout is published in the release notes.

Additionally, you can check which Kubernetes versions are default and available in a given zone by running the following command:

gcloud container get-server-config --zone [COMPUTE-ZONE]

where [COMPUTE-ZONE] is your cluster's compute zone, such as us-central1-a. However, if you run this command before a version rollout has completed, the command's output might not be accurate for your zone.

Last updated: January 9, 2018

Versions available for new cluster masters

When you create a new cluster, you can choose from the following eligible Kubernetes versions for your cluster master:

  • 1.8.6-gke.0
  • 1.8.5-gke.0
  • 1.7.12-gke.0
  • 1.7.11-gke.1

Supported node versions

The following Kubernetes versions are supported for Kubernetes Engine cluster nodes:

  • Kubernetes 1.8.x
  • Kubernetes 1.7.x

Send feedback about...

Kubernetes Engine